Skip to main content
GET
/
transactions
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_type": "<string>",
      "operation_type": "<string>",
      "success": true,
      "execution_time_ms": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "current_page": 123,
  "per_page": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Enter token in format (Bearer )

Query Parameters

database_id
string<uuid>

Filter by database ID

per_page
integer
default:25

Number of transactions per page

Required range: 1 <= x <= 100
transaction_type
enum<string>

Filter by transaction type

Available options:
ddl,
dml,
admin
success
boolean

Filter by success status

Response

200 - application/json

Transactions retrieved successfully

data
object[]
current_page
integer
per_page
integer
total
integer